Subject: I-D Action:draft-ietf-pkix-attr-cert-mime-type-00.txt

From: [email-masked]
Date: Tue, 11 Aug 2009 14:00:01 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Public-Key Infrastructure (X.509) Working Group of the IETF.

	Title           : The application/pkix-attr-cert Content Type for Attribute Certificates
	Author(s)       : R. Housley
	Filename        : draft-ietf-pkix-attr-cert-mime-type-00.txt
	Pages           : 3
	Date            : 2009-08-11

This document specifies a MIME content type for use with attribute
certificates as defined in RFC 3281.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-pkix-attr-cert-mime-type-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: "Manger, James H" <[email-masked]>
Date: Wed, 12 Aug 2009 13:47:40 +1000

Comment on draft-ietf-pkix-attr-cert-mime-type-00.txt

There isn't a clear statement of what the content is when the MIME type is application/pkix-attr-cert.
I assume it is a single DER-encoded attribute certificate -- not a chain of ACs, not PEM-encoded, not in a package that can also hold associated public-key certs or CRLs. A sentence stating this would help.

Typo: the opening words of the Introduction are "RFC 2528", but should be "RFC 2585".

James Manger
[email-masked]
Identity and security team — Chief Technology Office — Telstra

----------
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, 12 August 2009 7:00 AM
Subject: I-D Action:draft-ietf-pkix-attr-cert-mime-type-00.txt

---

From: Russ Housley <[email-masked]>
Date: Wed, 12 Aug 2009 10:18:47 -0400

Thanks for the review.

How about: This document specifies a MIME content type used to carry 
a single attribute certificate as defined in RFC 3281.

RFC 3281 tells what parts must be DER encoded and which parts are 
allowed to be BER encoded.

I'll fix the typo.

Russ

At 11:47 PM 8/11/2009, Manger, James H wrote:
>I assume it is a single DER-encoded attribute certificate -- not a 
>chain of ACs, not PEM-encoded, not in a package that can also hold 
>associated public-key certs or CRLs. A sentence stating this would help.
>
>Identity and security team — Chief Technology Office — Telselstra
>
>----------
>From: [email-masked] 
>[mailto:[email-masked]] On Behalf Of [email-masked]